View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000387OpenFOAM[All Projects] Bugpublic2012-01-13 20:152014-01-02 09:24
Reporterdcombest 
Assigned Tomattijs 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOtherOS Version(please specify)
Product Version2.1.x 
Target VersionFixed in Version2.2.x 
Summary0000387: scotch decomposition does not work with preservePatches in 2.1.x
DescriptionAlmost identical to the issue in 0000241, I get the error

/*---------------------------------------------------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 2.1.x |
| \\ / A nd | Web: www.OpenFOAM.org |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
Build : 2.1.x-988050d36a43
Exec : decomposePar -cellDist
Date : Jan 13 2012
Time : 13:57:48
Host : "cloud018.seas.wustl.edu"
PID : 9098
Case : /home/research/dcombest/OpenFOAM/dcombest-2.1.x/run/packedBed/mesh4/LamBremhorstKE/2ndOrderLB-KERep5000-inletOutlet
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster
allowSystemOperations : Disallowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

--> FOAM Warning :
    From function dlOpen(const fileName&, const bool)
    in file POSIX.C at line 1175
    dlopen error : libfixedMeanValueBC.so: cannot open shared object file: No such file or directory
--> FOAM Warning :
    From function dlLibraryTable::open(const fileName&, const bool)
    in file db/dynamicLibrary/dlLibraryTable/dlLibraryTable.C at line 96
    could not load "libfixedMeanValueBC.so"
Time = 0
Create mesh

Calculating distribution of cells

Keeping owner of faces in patches
2
(
inletOutlet_half0
inletOutlet_half1
)
 on same processor. This only makes sense for cyclics.
Selecting decompositionMethod metis
Constrained decomposition:
    faces with same processor owner and neighbour : 90354
    faces all on same processor : 0

ERROR: graphCheck: arc data do not match
Steps To ReproduceUsing decomposePar -cellDist on a cyclic mesh with 12 processors, preserving the cyclic halves with

preservePatches (inletOutlet_half0 inletOutlet_half1);
Additional InformationThis is a pure polyhedra mesh produced using Fluent and converted in fluent3DMeshToFoam. I would not have filed this, but the mesh works and is decomposed with scotch in 2.0.x just this morning. i switched to 2.1.x on our cluster and it fails, giving the error above.

Linux version 2.6.32-131.21.1.el6.x86_64 (mockbuild@sl6.fnal.gov) (gcc version 4.4.5 20110214 (Red Hat 4.4.5-6) (GCC) ) #1 SMP Tue Nov 22 14:15:09 CST 2011

Test cases, other parallel solvers, and foamInstallationTest all pass.
TagsNo tags attached.
Attached Files? file icon log.decomposePar [^] (7,937 bytes) 2012-01-14 23:31

- Relationships

-  Notes
(0000927)
mattijs (manager)
2012-01-16 09:40

For decompositionMethods that use the mesh-connectivity (scotch, ptscotch) you don't need this option - they already take cyclic connections into account.
(0000931)
dcombest (reporter)
2012-01-16 20:58

Removing the

preservePatches (inletOutlet_half0 inletOutlet_half1);

option produces the same error. Also, using mappedPatch instead of cyclic produces the same error (maybe different bug report should be filed).
(0000933)
mattijs (manager)
2012-01-17 13:53

I ran the channel395 tutorial with only sides1 cyclic and that decomposes ok (scotch) without preservePatches.

(it does indeed not run with preservePatches and I'm investigating that)
(0001106)
dcombest (reporter)
2012-03-02 22:56

For others that are dealing with this, a temporary workaround is to use OF-2.0.x and roll back to a previous version that didn't have this bug. From my log file above, this is build 5ae28021cd90
 
# rolling back your current git repo
git reset --hard 5ae28021cd90

or you can clone a new 2.0.x repo and then execute this command to roll back the new repo to the correct version.

- Issue History
Date Modified Username Field Change
2012-01-13 20:15 dcombest New Issue
2012-01-14 23:31 dcombest File Added: log.decomposePar
2012-01-16 09:40 mattijs Note Added: 0000927
2012-01-16 20:58 dcombest Note Added: 0000931
2012-01-17 13:53 mattijs Note Added: 0000933
2012-03-02 22:56 dcombest Note Added: 0001106
2014-01-02 09:24 mattijs Status new => resolved
2014-01-02 09:24 mattijs Fixed in Version => 2.2.x
2014-01-02 09:24 mattijs Resolution open => fixed
2014-01-02 09:24 mattijs Assigned To => mattijs